
PCL_LEV = 0		; Assume printer not PCL
IF (PRN_MFG EQ MFG_HP)
  ; All supported HP printers have at least PCL 3
	PCL_LEV	= 3
  ; PCL-3 is what we call basic LaserJet codes. Roman-8 character set.
  ; PCL-4 includes IBM PC character set. (LaserJet II and above)
  ; PCL-5 has data compression. (LaserJet III and above)
  ; **NOTE** What we call PCL-5 will work on many printers which HP
  ;	says have PCL-4 (since we use only the most basic functions.)
  IF (PRN_MDL GE HP_PCL4)
	PCL_LEV = 4
  ENDIF
  IF (PRN_MDL GE HP_PCL5)
	PCL_LEV = 5
  ENDIF
ENDIF

