packbits_compress proc near
	; Assumes:
	;	DS:SI	points to input buffer
	;	DS:DI		  output buffer
	;	CX	size of input buffer
	; Returns
	;	BX	size of output buffer
	;	DS:DI	pointer output buffer (original value)
	; Internal Use
	;	AH	# of bytes in current uncompressed string
	;	DH	# of bytes in current run
	;	DL	Current run value

	push	dx
	push	bp
	push	di
	sub	bx,bx		; Nothing in output
	mov	al,1		; AL=1, size of uncompressed buffer
	ds:stosb		; Save as size of next uncompressed buffer
	mov	ah,al
	ds:lodsb		; Get first input byte
	ds:stosb		; Store into output buffer
	mov	al,ah		; Save last byte in AH
	dec	cx		; One less input byte






	pop	di
	pop	bp
	pop	dx
	ret
packbits_compress endp
